Commit fb99bf3d authored by agurov's avatar agurov

version change

git-svn-id: https://dev.eclipse.org/svnroot/technology/org.eclipse.subversive/trunk@21657 ee007c2a-0a25-0410-9ab9-bf268980928c
parent 24eff079
...@@ -8,6 +8,17 @@ ...@@ -8,6 +8,17 @@
Now the Subversive project was moved to Eclipse.org and new version numbers was introduced. Now the Subversive project was moved to Eclipse.org and new version numbers was introduced.
Change Log's for older versions still present in this file. Change Log's for older versions still present in this file.
Version 4.0.4.I20170216-1700 [16 February 2017]
Features:
* Remember last choice for the "ignore ancestry option" in compare dialogs (bug 512313)
Fixes:
* Reusing compare editor does not refresh changes (bug 495202)
* New files and folders aren't displayed in compare with URL/Revision/Branch/Tag when 1.8 compatible connector is used (bug 492534)
--------------------------------------------------------------------------------
Version 4.0.3.I20161129-1700 [29 November 2016] Version 4.0.3.I20161129-1700 [29 November 2016]
Fixes: Fixes:
......
<?xml version="1.0" encoding="UTF-8"?> <?xml version="1.0" encoding="UTF-8"?>
<feature <feature
id="org.eclipse.team.svn" id="org.eclipse.team.svn"
label="%featureName" label="%featureName"
version="4.0.3.I20161129-1700" version="4.0.4.I20170216-1700"
provider-name="%providerName" provider-name="%providerName"
plugin="org.eclipse.team.svn"> plugin="org.eclipse.team.svn">
<install-handler/> <install-handler/>
<description> <description>
The Eclipse Team Provider for the Subversion version control system. For instructions about installing SVN connectors visit http://www.eclipse.org/subversive/downloads.php The Eclipse Team Provider for the Subversion version control system. For instructions about installing SVN connectors visit http://www.eclipse.org/subversive/downloads.php
</description> </description>
<license url="license.html"> <license url="license.html">
%license %license
</license> </license>
<url> <url>
<update label="%updateSiteName" url="http://download.eclipse.org/technology/subversive/4.0/update-site/"/> <update label="%updateSiteName" url="http://download.eclipse.org/technology/subversive/4.0/update-site/"/>
<discovery label="%discoverySiteName" url="http://download.eclipse.org/technology/subversive/4.0/update-site/"/> <discovery label="%discoverySiteName" url="http://download.eclipse.org/technology/subversive/4.0/update-site/"/>
</url> </url>
<requires> <requires>
<import plugin="org.eclipse.ui.intro"/> <import plugin="org.eclipse.ui.intro"/>
<import plugin="org.eclipse.ui.intro.universal"/> <import plugin="org.eclipse.ui.intro.universal"/>
<import plugin="org.eclipse.ui"/> <import plugin="org.eclipse.ui"/>
<import plugin="org.eclipse.core.resources"/> <import plugin="org.eclipse.core.resources"/>
<import plugin="org.eclipse.core.runtime"/> <import plugin="org.eclipse.core.runtime"/>
<import plugin="org.eclipse.team.core"/> <import plugin="org.eclipse.team.core"/>
<import plugin="org.eclipse.core.filesystem"/> <import plugin="org.eclipse.core.filesystem"/>
<import plugin="org.eclipse.core.net" version="1.2.0" match="compatible"/> <import plugin="org.eclipse.core.net" version="1.2.0" match="compatible"/>
<import plugin="org.eclipse.equinox.security" version="1.0.0" match="compatible"/> <import plugin="org.eclipse.equinox.security" version="1.0.0" match="compatible"/>
<import plugin="com.ibm.icu"/> <import plugin="com.ibm.icu"/>
<import plugin="org.eclipse.ui.ide"/> <import plugin="org.eclipse.ui.ide"/>
<import plugin="org.eclipse.ui.views"/> <import plugin="org.eclipse.ui.views"/>
<import plugin="org.eclipse.jface.text"/> <import plugin="org.eclipse.jface.text"/>
<import plugin="org.eclipse.ui.workbench.texteditor"/> <import plugin="org.eclipse.ui.workbench.texteditor"/>
<import plugin="org.eclipse.ui.editors"/> <import plugin="org.eclipse.ui.editors"/>
<import plugin="org.eclipse.team.ui"/> <import plugin="org.eclipse.team.ui"/>
<import plugin="org.eclipse.compare"/> <import plugin="org.eclipse.compare"/>
<import plugin="org.eclipse.osgi"/> <import plugin="org.eclipse.osgi"/>
<import plugin="org.eclipse.help"/> <import plugin="org.eclipse.help"/>
<import plugin="org.eclipse.ui.console"/> <import plugin="org.eclipse.ui.console"/>
<import plugin="org.eclipse.ui.navigator"/> <import plugin="org.eclipse.ui.navigator"/>
<import plugin="org.eclipse.ui.forms"/> <import plugin="org.eclipse.ui.forms"/>
<import plugin="org.eclipse.ui.browser"/> <import plugin="org.eclipse.ui.browser"/>
</requires> </requires>
<plugin <plugin
id="org.eclipse.team.svn" id="org.eclipse.team.svn"
download-size="4" download-size="4"
install-size="4" install-size="4"
version="4.0.3.I20161129-1700" version="4.0.4.I20170216-1700"
unpack="false"/> unpack="false"/>
<plugin <plugin
id="org.eclipse.team.svn.core" id="org.eclipse.team.svn.core"
download-size="900" download-size="900"
install-size="900" install-size="900"
version="4.0.3.I20161129-1700" version="4.0.3.I20161129-1700"
unpack="false"/> unpack="false"/>
<plugin <plugin
id="org.eclipse.team.svn.ui" id="org.eclipse.team.svn.ui"
download-size="1600" download-size="1600"
install-size="1600" install-size="1600"
version="4.0.3.I20161129-1700" version="4.0.4.I20170216-1700"
unpack="false"/> unpack="false"/>
<plugin <plugin
id="org.eclipse.team.svn.ui.startup" id="org.eclipse.team.svn.ui.startup"
download-size="1600" download-size="1600"
install-size="1600" install-size="1600"
version="4.0.0.I20160226-1700" version="4.0.0.I20160226-1700"
unpack="false"/> unpack="false"/>
<plugin <plugin
id="org.eclipse.team.svn.help" id="org.eclipse.team.svn.help"
download-size="1900" download-size="1900"
install-size="1900" install-size="1900"
version="4.0.3.I20161129-1700" version="4.0.3.I20161129-1700"
unpack="false"/> unpack="false"/>
</feature> </feature>
...@@ -5,56 +5,21 @@ ...@@ -5,56 +5,21 @@
* See details at http://www.eclipse.org/subversive * * See details at http://www.eclipse.org/subversive *
******************************************************************************** ********************************************************************************
Version 4.0.3.I20161129-1700 release date: 29 November 2016 Version 4.0.4.I20170216-1700 release date: 16 February 2017
1. What's New 1. What's New
The version 4.0.3 is a service release. The version 4.0.4 is a service release.
Changes comparatively to the previous release version are listed below. The full list of Changes comparatively to the previous release version are listed below. The full list of
changes you can find in Change Log. changes you can find in Change Log.
Features:
* Remember last choice for the "ignore ancestry option" in compare dialogs (bug 512313)
Fixes: Fixes:
* Exclude from compare view files with identical content in case they're reported (bug 508237) * Reusing compare editor does not refresh changes (bug 495202)
* Two-way and three-way compare should display "deletion+addition" pairs properly when they're reported instead of "replacement" (bug 508236) * New files and folders aren't displayed in compare with URL/Revision/Branch/Tag when 1.8 compatible connector is used (bug 492534)
+ special thanks for the contribution to Florent Angebault
* Proper SVNDiffStatus order when deletion and addition are reported for the same nodes (bug 508235)
* "Ignore ancestry" option for compare with branch/tag/URL (bug 508231)
+ special thanks to Florent Angebault
* Update from History view and Synchronize view don't change states in another view (bug 505370)
* Issue in SVNLightweightDecorator when decorating model elements (resource==null) (bug 502505)
* [scalability] Resource listener listens to changes on ignored files (bug 505360)
+ special thanks for the contribution to Andrey Loskutov
* Performance improvements for ResourceStatesChangedEvent (bug 506811)
+ special thanks for the contribution to Andrey Loskutov
* [scalability] SVN update takes hours if "Synchronize" view is opened (bug 504058)
+ special thanks for the contribution to Andrey Loskutov
* Performance improvements for AbstractSVNSubscriber (bug 506777)
+ special thanks for the contribution to Andrey Loskutov
* Performance improvements for SVNUtility (bug 506763)
+ special thanks for the contribution to Andrey Loskutov
* Performance improvements for RemoteStatusCache (bug 506762)
+ special thanks for the contribution to Andrey Loskutov
* Performance improvements for UpdateSubscriber (bug 506760)
+ special thanks for the contribution to Andrey Loskutov
* Performance improvements for FileUtility (bug 506757)
+ special thanks for the contribution to Andrey Loskutov
* Compilation issue with older platform versions (bug 506756)
+ special thanks for the contribution to Andrey Loskutov
* Error in fix for the bug 282000 causes performance issues (bug 506785)
* Installation instructions in 'help' are out of date (bug 503327)
* Separate requirements page is unnecessary in 'help' (bug 503329)
* Remove org.eclipse.team.svn.resource.ignore.rules.jdt bundle (bug 505611)
* Correct "management instructions" help page (bug 505119)
* Grammar correction on the "Mylyn" help page (bug 505115)
* Update Subversive modules overview (bug 505089)
* Grammar corrections on the "Supported protocols" page (bug 505006)
* Grammar corrections on the "Features" page (bug 504927)
* Update Subversive architecture overview (bug 503542)
* Linux notes are partially out of date and in need of grammar corrections (bug 503330)
* FAQ section in plug-in 'help' requires actualization (bug 503325)
* Subversive tries to connect to repository for Compare With -> Base from Working Copy (bug 501030)
* Deleting multiple files is very slow on large projects (bug 501032)
2. Information 2. Information
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
<feature <feature
id="org.eclipse.team.svn.source" id="org.eclipse.team.svn.source"
label="%featureName" label="%featureName"
version="4.0.3.I20161129-1700" version="4.0.4.I20170216-1700"
provider-name="%providerName" provider-name="%providerName"
colocation-affinity="org.eclipse.team.svn"> colocation-affinity="org.eclipse.team.svn">
...@@ -21,7 +21,7 @@ ...@@ -21,7 +21,7 @@
<includes <includes
id="org.eclipse.team.svn.sources" id="org.eclipse.team.svn.sources"
version="4.0.3.I20161129-1700"/> version="4.0.4.I20170216-1700"/>
<includes <includes
id="org.eclipse.team.svn.nl1.sources" id="org.eclipse.team.svn.nl1.sources"
......
...@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6 ...@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2 Bundle-ManifestVersion: 2
Bundle-Name: %pluginName Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn.ui;singleton:=true Bundle-SymbolicName: org.eclipse.team.svn.ui;singleton:=true
Bundle-Version: 4.0.3.I20161129-1700 Bundle-Version: 4.0.4.I20170216-1700
Bundle-ClassPath: . Bundle-ClassPath: .
Bundle-Activator: org.eclipse.team.svn.ui.SVNTeamUIPlugin Bundle-Activator: org.eclipse.team.svn.ui.SVNTeamUIPlugin
Bundle-Vendor: %providerName Bundle-Vendor: %providerName
......
...@@ -4,7 +4,7 @@ ...@@ -4,7 +4,7 @@
<description url="http://download.eclipse.org/technology/subversive/4.0/update-site/"> <description url="http://download.eclipse.org/technology/subversive/4.0/update-site/">
Eclipse Subversive - SVN Team Provider Eclipse Subversive - SVN Team Provider
</description> </description>
<feature url="features/org.eclipse.team.svn_4.0.3.I20161129-1700.jar" id="org.eclipse.team.svn" version="4.0.3.I20161129-1700"> <feature url="features/org.eclipse.team.svn_4.0.4.I20170216-1700.jar" id="org.eclipse.team.svn" version="4.0.4.I20170216-1700">
<category name="Subversive"/> <category name="Subversive"/>
</feature> </feature>
<feature url="features/org.eclipse.team.svn.nl1_4.0.0.I20160226-1700.jar" id="org.eclipse.team.svn.nl1" version="4.0.0.I20160226-1700"> <feature url="features/org.eclipse.team.svn.nl1_4.0.0.I20160226-1700.jar" id="org.eclipse.team.svn.nl1" version="4.0.0.I20160226-1700">
...@@ -19,7 +19,7 @@ ...@@ -19,7 +19,7 @@
<feature url="features/org.eclipse.team.svn.revision.graph_4.0.0.I20160226-1700.jar" id="org.eclipse.team.svn.revision.graph" version="4.0.0.I20160226-1700"> <feature url="features/org.eclipse.team.svn.revision.graph_4.0.0.I20160226-1700.jar" id="org.eclipse.team.svn.revision.graph" version="4.0.0.I20160226-1700">
<category name="Subversive"/> <category name="Subversive"/>
</feature> </feature>
<feature url="features/org.eclipse.team.svn.source_4.0.3.I20161129-1700.jar" id="org.eclipse.team.svn.source" version="4.0.3.I20161129-1700"> <feature url="features/org.eclipse.team.svn.source_4.0.4.I20170216-1700.jar" id="org.eclipse.team.svn.source" version="4.0.4.I20170216-1700">
<category name="Subversive Sources"/> <category name="Subversive Sources"/>
</feature> </feature>
<category-def name="Subversive" label="Subversive SVN Team Provider Plugin"> <category-def name="Subversive" label="Subversive SVN Team Provider Plugin">
......
...@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6 ...@@ -3,7 +3,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5, JavaSE-1.6
Bundle-ManifestVersion: 2 Bundle-ManifestVersion: 2
Bundle-Name: %pluginName Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.team.svn;singleton:=true Bundle-SymbolicName: org.eclipse.team.svn;singleton:=true
Bundle-Version: 4.0.3.I20161129-1700 Bundle-Version: 4.0.4.I20170216-1700
Bundle-Vendor: %providerName Bundle-Vendor: %providerName
Bundle-Localization: plugin Bundle-Localization: plugin
Require-Bundle: org.eclipse.ui.intro, Require-Bundle: org.eclipse.ui.intro,
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment